"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Button = exports.Li = exports.Ol = exports.Small = exports.Label = exports.Checkbox = exports.Range = exports.Root = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Root = function Root(props) {
  return _react["default"].createElement("div", _extends({}, props, {
    style: _objectSpread({
      position: "absolute",
      top: "1em",
      right: "1em",
      width: "15em",
      boxSizing: "border-box",
      border: "1px solid #0366d6",
      borderRadius: "1em",
      boxShadow: "0 2px 1em #00000022",
      background: "white",
      padding: "1em",
      fontSize: "1rem",
      fontFamily: "-apple-system, BlinkMacSystemFont, \"Segoe UI\", Roboto, Oxygen-Sans, Ubuntu, Cantarell, \"Helvetica Neue\", sans-serif"
    }, props.style)
  }));
};

exports.Root = Root;

var Range = function Range(props) {
  return _react["default"].createElement("input", _extends({
    type: "range",
    role: "slider"
  }, props, {
    style: {
      fontSize: "inherit",
      display: "block",
      width: "100%",
      margin: "1em 0"
    }
  }));
};

exports.Range = Range;

var Checkbox = function Checkbox(props) {
  return _react["default"].createElement("input", _extends({
    type: "checkbox"
  }, props, {
    style: _objectSpread({
      fontSize: "inherit",
      marginRight: "0.5em",
      verticalAlign: "bottom"
    }, props.style)
  }));
};

exports.Checkbox = Checkbox;

var Label = function Label(props) {
  return _react["default"].createElement("label", _extends({}, props, {
    style: _objectSpread({
      display: "block",
      marginBottom: "1.5em"
    }, props.style)
  }));
};

exports.Label = Label;

var Small = function Small(props) {
  return _react["default"].createElement("small", _extends({}, props, {
    style: _objectSpread({
      display: "block",
      marginTop: "0.5em",
      textTransform: "uppercase",
      opacity: "0.5"
    }, props.style)
  }));
};

exports.Small = Small;

var Ol = function Ol(props) {
  return _react["default"].createElement("ol", _extends({}, props, {
    style: _objectSpread({
      margin: "0",
      padding: "0",
      listStyle: "none",
      lineHeight: "2em"
    }, props.style)
  }));
};

exports.Ol = Ol;

var Li = function Li(props) {
  return _react["default"].createElement("li", _extends({}, props, {
    style: _objectSpread({
      display: "flex",
      justifyContent: "space-between"
    }, props.style)
  }));
};

exports.Li = Li;

var Button = function Button(props) {
  return _react["default"].createElement("button", _extends({}, props, {
    style: _objectSpread({
      height: "1.6rem",
      padding: "2px 6px",
      border: "0",
      borderRadius: "0.5em",
      background: "#0366d6",
      color: "#fff"
    }, props.style)
  }));
};

exports.Button = Button;